Bug 805029 - Remove slotvis functionality from cumin [RFE]
Remove slotvis functionality from cumin [RFE]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
2.2
Unspecified Unspecified
low Severity low
: 2.3
: ---
Assigned To: Chad Roberts
Peter Belanyi
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 09:35 EDT by Chad Roberts
Modified: 2014-11-17 21:24 EST (History)
9 users (show)

See Also:
Fixed In Version: cumin-0.1.5338-1
Doc Type: Enhancement
Doc Text:
Cause: The slotvis functionality in cumin was less than ideal and didn't scale well and was based on flash, which in itself is not ideal. Consequence: The slotvis functionality was not very useful for users. Change: The slotvis functionality has been removed. Result: The slotvis functionality is no longer available in cumin and there is no longer any functionality in cumin that requires the flash player.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:43:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chad Roberts 2012-03-20 09:35:29 EDT
Description of problem:

The slotvis functionality in cumin is not ideal for multiple reasons.  It is flash-based, it does not scale well and it may not be the best and most complete presentation possible.  Given that, it has been proposed that we remove the slotvis functionality.

The slotvis functionality currently appears on the following pages and will be removed from each.

Grid->Slots->Slot visualization
Inventory-><choose node>->Overview


Expected results: The slotvis functionality will no longer appear in cumin.
Comment 1 Chad Roberts 2012-03-28 13:42:57 EDT
Changed on revision 5256 on trunk (removed functionality)
Follow-up commits for code cleanup: 5260, 5261, 5262, 5264.
Comment 2 Chad Roberts 2012-03-28 13:45:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:  The slotvis functionality in cumin was less than ideal and didn't scale well and was based on flash, which in itself is not ideal.

Consequence:  The slotvis functionality was not very useful for users.

Change:  The slotvis functionality has been removed.

Result:  The slotvis functionality is no longer available in cumin and there is no longer any functionality in cumin that requires the flash player.
Comment 9 Peter Belanyi 2013-01-07 10:17:15 EST
I was able to reproduce on cumin-0.1.5192-4

I verified on RHEL5 and RHEL6, both i386 and x86_64, with cumin-0.1.5572-1
Comment 11 errata-xmlrpc 2013-03-06 13:43:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.